ParametersUpdateInfo
Keywords: net.corda.core.messaging.ParametersUpdateInfo class
Date: 2023-09-18

net.corda.core.messaging

## Class ParametersUpdateInfo

- net.corda.core.messaging.ParametersUpdateInfo

-     public class ParametersUpdateInfo

  Data class containing information about the scheduled network parameters update. The info is emitted every time node receives network map with ParametersUpdate which wasn't seen before. For more information see: `CordaRPCOps.networkParametersFeed` and `CordaRPCOps.acceptNewNetworkParameters`.

  See Also:
    ParametersUpdate, `CordaRPCOps.networkParametersFeed`, `CordaRPCOps.acceptNewNetworkParameters`

- - ### Constructor Detail

    - #### ParametersUpdateInfo

          public ParametersUpdateInfo(@NotNull
                                      SecureHash hash,
                                      @NotNull
                                      NetworkParameters parameters,
                                      @NotNull
                                      java.lang.String description,
                                      @NotNull
                                      java.time.Instant updateDeadline)

      Data class containing information about the scheduled network parameters update. The info is emitted every time node receives network map with ParametersUpdate which wasn't seen before. For more information see: `CordaRPCOps.networkParametersFeed` and `CordaRPCOps.acceptNewNetworkParameters`.

      Parameters:
        `hash` - new `class NetworkParameters` hash
        `parameters` - new `class NetworkParameters` data structure
        `description` - description of the update
        `updateDeadline` - deadline for accepting this update using `CordaRPCOps.acceptNewNetworkParameters`
      See Also:
        ParametersUpdate, `CordaRPCOps.networkParametersFeed`, `CordaRPCOps.acceptNewNetworkParameters`

  - ### Method Detail

    - #### getHash

          @NotNull
          public SecureHash getHash()

      new

      `class NetworkParameters` hash

      See Also:
        `class NetworkParameters`

    - #### getParameters

          @NotNull
          public NetworkParameters getParameters()

      new

      `class NetworkParameters` data structure

      See Also:
        `class NetworkParameters`

    - #### getDescription

          @NotNull
          public java.lang.String getDescription()

      description of the update

    - #### getUpdateDeadline

          @NotNull
          public java.time.Instant getUpdateDeadline()

      deadline for accepting this update using

      `CordaRPCOps.acceptNewNetworkParameters`

      See Also:
        `CordaRPCOps.acceptNewNetworkParameters`

    - #### component1

          @NotNull
          public SecureHash component1()

      new

      `class NetworkParameters` hash

      See Also:
        `class NetworkParameters`

    - #### component2

          @NotNull
          public NetworkParameters component2()

      new

      `class NetworkParameters` data structure

      See Also:
        `class NetworkParameters`

    - #### component3

          @NotNull
          public java.lang.String component3()

      description of the update

    - #### component4

          @NotNull
          public java.time.Instant component4()

      deadline for accepting this update using

      `CordaRPCOps.acceptNewNetworkParameters`

      See Also:
        `CordaRPCOps.acceptNewNetworkParameters`

    - #### copy

          @NotNull
          public ParametersUpdateInfo copy(@NotNull
                                                    SecureHash hash,
                                                    @NotNull
                                                    NetworkParameters parameters,
                                                    @NotNull
                                                    java.lang.String description,
                                                    @NotNull
                                                    java.time.Instant updateDeadline)

      Data class containing information about the scheduled network parameters update. The info is emitted every time node receives network map with ParametersUpdate which wasn't seen before. For more information see: `CordaRPCOps.networkParametersFeed` and `CordaRPCOps.acceptNewNetworkParameters`.

      See Also:
        ParametersUpdate, `CordaRPCOps.networkParametersFeed`, `CordaRPCOps.acceptNewNetworkParameters`

    - #### toString

          @NotNull
          public java.lang.String toString()

      Data class containing information about the scheduled network parameters update. The info is emitted every time node receives network map with ParametersUpdate which wasn't seen before. For more information see: `CordaRPCOps.networkParametersFeed` and `CordaRPCOps.acceptNewNetworkParameters`.

      See Also:
        ParametersUpdate, `CordaRPCOps.networkParametersFeed`, `CordaRPCOps.acceptNewNetworkParameters`

    - #### hashCode

          public int hashCode()

      Data class containing information about the scheduled network parameters update. The info is emitted every time node receives network map with ParametersUpdate which wasn't seen before. For more information see: `CordaRPCOps.networkParametersFeed` and `CordaRPCOps.acceptNewNetworkParameters`.

      See Also:
        ParametersUpdate, `CordaRPCOps.networkParametersFeed`, `CordaRPCOps.acceptNewNetworkParameters`

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      Data class containing information about the scheduled network parameters update. The info is emitted every time node receives network map with ParametersUpdate which wasn't seen before. For more information see: `CordaRPCOps.networkParametersFeed` and `CordaRPCOps.acceptNewNetworkParameters`.

      See Also:
        ParametersUpdate, `CordaRPCOps.networkParametersFeed`, `CordaRPCOps.acceptNewNetworkParameters`